- Qt 5.5
- Qt3D Module
- C++ Classes
- QBackendScenePropertyChange
- Qt 5.5.1 Reference Documentation

# QBackendScenePropertyChange Class

(Qt3D::QBackendScenePropertyChange)

Header: | #include <QBackendScenePropertyChange>
qmake: | QT += 3dcore
Inherits: | QScenePropertyChange

- List of all members, including inherited members

## Public Functions

| QBackendScenePropertyChange(ChangeFlag type, const QNodeId & subjectId, Priority priority = Standard)
virtual | ~QBackendScenePropertyChange()
void | setTargetNode(const QNodeId & id)
QNodeId | targetNode() const

- 4 public functions inherited from Qt3D::QScenePropertyChange
- 5 public functions inherited from Qt3D::QSceneChange

## Protected Functions

| QBackendScenePropertyChange(QBackendScenePropertyChangePrivate & dd, ChangeFlag type, const QNodeId & subjectId, Priority priority = Standard)

### Additional Inherited Members

- 2 static public members inherited from Qt3D::QScenePropertyChange

## Detailed Description

## Member Function Documentation

### QBackendScenePropertyChange::QBackendScenePropertyChange(ChangeFlag type, const QNodeId & subjectId, Priority priority = Standard)

### `[protected]` QBackendScenePropertyChange::QBackendScenePropertyChange(QBackendScenePropertyChangePrivate & dd, ChangeFlag type, const QNodeId & subjectId, Priority priority = Standard)

### `[virtual]` QBackendScenePropertyChange::~QBackendScenePropertyChange()

### void QBackendScenePropertyChange::setTargetNode(const QNodeId & id)

See also targetNode().

### QNodeId QBackendScenePropertyChange::targetNode() const

See also setTargetNode().